de.esprit.appsuite.gui.list

## Class ListSelectionController

- java.lang.Object
- - de.esprit.appsuite.gui.list.ListDataController
  - - de.esprit.appsuite.gui.list.ListSelectionController

-     public class ListSelectionController
      extends ListDataController

  This class detects list selections and triggers the enable state evaluation of the given action.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListSelectionController(ZAction action, javax.swing.JList list)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSelectionCount()`
    `static int` | `getSelectionCount(javax.swing.ListSelectionModel model)` Used also by `TableSelectionController`
    `boolean` | `hasMultipleSelection()`
    `static boolean` | `hasMultipleSelection(javax.swing.ListSelectionModel model)` Used also by `TableSelectionController`
    `boolean` | `hasSelection()`
    `boolean` | `hasSingleSelection()`
    `static boolean` | `hasSingleSelection(javax.swing.ListSelectionModel model)` Used also by `TableSelectionController`
    `boolean` | `isEnabled()`
    `void` | `setActivationMode(ActivationMode activationMode)`

    - ### Methods inherited from class de.esprit.appsuite.gui.list.ListDataController

      `getAction, getList, hasData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSelectionController

          public ListSelectionController(ZAction action,
                                 javax.swing.JList list)

  - ### Method Detail

    - #### setActivationMode

          public void setActivationMode(ActivationMode activationMode)

    - #### isEnabled

          public boolean isEnabled()

      Overrides:
        `isEnabled` in class `ListDataController`

    - #### hasSelection

          public boolean hasSelection()

    - #### hasSingleSelection

          public boolean hasSingleSelection()

    - #### hasMultipleSelection

          public boolean hasMultipleSelection()

    - #### getSelectionCount

          public int getSelectionCount()

    - #### hasSingleSelection

          public static boolean hasSingleSelection(javax.swing.ListSelectionModel model)

      Used also by `TableSelectionController`

    - #### hasMultipleSelection

          public static boolean hasMultipleSelection(javax.swing.ListSelectionModel model)

      Used also by `TableSelectionController`

    - #### getSelectionCount

          public static int getSelectionCount(javax.swing.ListSelectionModel model)

      Used also by `TableSelectionController`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.